VoiceDock Docs
ApiB Y O K

Get BYOK configurations

Retrieve all Bring Your Own Key configurations for your organization.

GET
/byok

Retrieve all Bring Your Own Key configurations for your organization.

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/byok"
{
  "byok_keys": {
    "deepgram_secret_id": "string",
    "openai_secret_id": "string",
    "elevenlabs_secret_id": "string",
    "resend_secret_id": "string",
    "xai_secret_id": "string",
    "gladia_secret_id": "string",
    "mistral_secret_id": "string"
  }
}
{
  "error": "Invalid API key",
  "message": "string"
}
{
  "error": "Invalid API key",
  "message": "string"
}